using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using nispi.controlclass;
using System.Drawing;

namespace nispi.AgeOnDebuger
{
    partial class DebugMainForm
    {
        public TextBoxParts boardIndexTBParts;
        public TextBoxParts boardListTBParts;
        public TextBoxParts threadListTBParts;
        public TextBoxParts analysisTBParts;
        public TextBoxParts mapTBParts;
        public TextBoxParts menuTBParts;
        public TextBoxParts otherTBParts;
        public TextBoxParts htmlPopUpTBParts;
        public TextBoxParts printTBParts;

        public LabelParts boardIndexLabelParts;
        public LabelParts boardListLabelParts;
        public LabelParts threadListLabelParts;
        public LabelParts analysisLabelParts;
        public LabelParts mapLabelParts;
        public LabelParts menuLabelParts;
        public LabelParts otherLabelParts;
        public LabelParts htmlPopUpLabelParts;
        public LabelParts printLabelParts;

        public void AddParts(FormParts debugMainForm)
        {
            boardIndexTBParts = new TextBoxParts();
            boardListTBParts = new TextBoxParts();
            threadListTBParts = new TextBoxParts();
            analysisTBParts = new TextBoxParts();
            mapTBParts = new TextBoxParts();
            menuTBParts = new TextBoxParts();
            otherTBParts = new TextBoxParts();
            htmlPopUpTBParts = new TextBoxParts();
            printTBParts = new TextBoxParts();

            boardIndexLabelParts = new LabelParts();
            boardListLabelParts = new LabelParts();
            threadListLabelParts = new LabelParts();
            analysisLabelParts = new LabelParts();
            mapLabelParts = new LabelParts();
            menuLabelParts = new LabelParts();
            otherLabelParts = new LabelParts();
            htmlPopUpLabelParts = new LabelParts();
            printLabelParts = new LabelParts();

            boardIndexTBParts.Location = new Point(1, 20);
            boardIndexTBParts.Size = new Size(400, 200);
            boardIndexTBParts.Multiline = true;

            boardListTBParts.Location = new Point(1, 240);
            boardListTBParts.Size = new Size(400, 200);
            boardListTBParts.Multiline = true;

            threadListTBParts.Location = new Point(1, 460);
            threadListTBParts.Size = new Size(400, 200);
            threadListTBParts.Multiline = true;

            analysisTBParts.Location = new Point(410, 20);
            analysisTBParts.Size = new Size(400, 200);
            analysisTBParts.Multiline = true;

            mapTBParts.Location = new Point(410, 240);
            mapTBParts.Size = new Size(400, 200);
            mapTBParts.Multiline = true;

            menuTBParts.Location = new Point(410, 460);
            menuTBParts.Size = new Size(400, 200);
            menuTBParts.Multiline = true;

            otherTBParts.Location = new Point(820, 20);
            otherTBParts.Size = new Size(400, 200);
            otherTBParts.Multiline = true;

            htmlPopUpTBParts.Location = new Point(820, 240);
            htmlPopUpTBParts.Size = new Size(400, 200);
            htmlPopUpTBParts.Multiline = true;

            printTBParts.Location = new Point(820, 460);
            printTBParts.Size = new Size(400, 200);
            printTBParts.Multiline = true;
            
            //---   
  
            boardIndexLabelParts.Location = new Point(1, 1);
            boardIndexLabelParts.Size = new Size(100, 18);
            boardIndexLabelParts.Text = "BoardIndex";

            boardListLabelParts.Location = new Point(1, 421);
            boardListLabelParts.Size = new Size(100, 18);
            boardListLabelParts.Text = "BoardList";

            threadListLabelParts.Location = new Point(1, 841);
            threadListLabelParts.Size = new Size(100, 18);
            threadListLabelParts.Text = "ThreadList";

            analysisLabelParts.Location = new Point(510, 1);
            analysisLabelParts.Size = new Size(100, 18);
            analysisLabelParts.Text = "Analysis";

            mapLabelParts.Location = new Point(510, 421);
            mapLabelParts.Size = new Size(100, 18);
            mapLabelParts.Text = "Map";

            menuLabelParts.Location = new Point(510, 841);
            menuLabelParts.Size = new Size(100, 18);
            menuLabelParts.Text = "Menu";

            otherLabelParts.Location = new Point(1020, 1);
            otherLabelParts.Size = new Size(100, 18);
            otherLabelParts.Text = "Other";

            htmlPopUpLabelParts.Location = new Point(1020, 421);
            htmlPopUpLabelParts.Size = new Size(100, 18);
            htmlPopUpLabelParts.Text = "HtmlPopUp";

            debugMainForm.AddControl(boardIndexTBParts);
            debugMainForm.AddControl(boardListTBParts);
            debugMainForm.AddControl(threadListTBParts);
            debugMainForm.AddControl(analysisTBParts);
            debugMainForm.AddControl(mapTBParts);
            debugMainForm.AddControl(menuTBParts);
            debugMainForm.AddControl(otherTBParts);
            debugMainForm.AddControl(htmlPopUpTBParts);
            debugMainForm.AddControl(printTBParts);

            debugMainForm.AddControl(boardIndexLabelParts);
            debugMainForm.AddControl(boardListLabelParts);
            debugMainForm.AddControl(threadListLabelParts);
            debugMainForm.AddControl(analysisLabelParts);
            debugMainForm.AddControl(mapLabelParts);
            debugMainForm.AddControl(menuLabelParts);
            debugMainForm.AddControl(otherLabelParts);
            debugMainForm.AddControl(htmlPopUpLabelParts);
        }
    }
}